/* Global Variables*/
	/*Game ID*/
	var gGameID = "Game0";
	
	/*lookup table for card display strings*/
	var gFace = new Array ("0","9","10","J","Q","K","A");

	/*lookup table for card values*/
	var gValue = new Array (0,9,10,11,12,13,14);

	/*Estrategia de cada jugador*/
	var gStrategy = new Array (4,10);

	/*Temp hands for analysis*/
	var temphand = new Array (5);
	var temphandstatus = new Array (5);
	var TempPStatus = "";
	var Temp_high1_count = 0;
	var Temp_high1_value = -2;
	var Temp_high2_count = 0;
	var Temp_high2_value = -2;
	var Temp_high_card_pairs = -2;
	var Temp_high_card_pairs2 = -2;

	/*Values for analyzing hand*/
	var gH0_high1_count = 0;
	var gH0_high1_value = -2;
	var gH0_high2_count = 0;
	var gH0_high2_value = -2;
	var gH0_high_card_pairs = -2;
	var gH0_high_card_pairs2 = -2;
	
	var gH1_high1_count = 0;
	var gH1_high1_value = -2;
	var gH1_high2_count = 0;
	var gH1_high2_value = -2;
	var gH1_high_card_pairs = -2;
	var gH1_high_card_pairs2 = -2;

	var gH2_high1_count = 0;
	var gH2_high1_value = -2;
	var gH2_high2_count = 0;
	var gH2_high2_value = -2;
	var gH2_high_card_pairs = -2;
	var gH2_high_card_pairs2 = -2;

	var gH3_high1_count = 0;
	var gH3_high1_value = -2;
	var gH3_high2_count = 0;
	var gH3_high2_value = -2;
	var gH3_high_card_pairs = -2;
	var gH3_high_card_pairs2 = -2;

	/*Totals*/
	var gScore = 0;
	var gScore1 = 0;
	var gScore2 = 0;
	var gScore3 = 0;

	/* human hand*/
	var gHumanHand = new Array (-1, -1, -1, -1, -1);
	var gHumanHandStatus = new Array (0, 0, 0, 0, 0);
	var gHumanTotal = 0;
	var	gP_status = "Not_Started";

	/* Player 1 hand*/
	var gPlayer1Hand = new Array (-1, -1, -1, -1, -1);
	var gPlayer1HandStatus = new Array (0, 0, 0, 0, 0);
	var gPlayer1Total = 0;	
	var gP1_status = "Not_Started";

	/* Player 2 hand*/
	var gPlayer2Hand = new Array (-1, -1, -1, -1, -1);
	var gPlayer2HandStatus = new Array (0, 0, 0, 0, 0);
	var gPlayer2Total = 0;	
	var gP2_status = "Not_Started";

	/* Player 3 hand*/
	var gPlayer3Hand = new Array (-1, -1, -1, -1, -1);
	var gPlayer3HandStatus = new Array (0, 0, 0, 0, 0);
	var gPlayer3Total = 0;	
	var gP3_status = "Not_Started";

	/*Configuration*/
	var gBoardStyle1 = "-";
	var gBoardStyle2 = "-";
	var gBoardStyle3 = "-";
	var gBoardStyle4 = "-";	

	/*Players Definition*/
	var gHuman = "Player";
	var gPlayer1 = "Jean";
	var gPlayer2 = "Dave";
	var gPlayer3 = "Joey";
	
	var origHuman = "Player";
	var origPlayer1 = "Jean";
	var origPlayer2 = "Dave";
	var origPlayer3 = "Joey";

	/*Game state*/
	var gStatus  = "New Game";
	var gStatus2 = "New Game";
	var gTirada= 0;
	var gPlayer = 0;
	var gGanador = 0;

	/* Game Setup*/
	var gGame_Type = "Standard";
	var gAnimation = "Yes";
	var gThrows = 3;
	var gScoreToWin = 10;
	var gPlaySpeed = 0.9;
	var gAccelerometer = "Off";

	var origGame_Type = "Standard";
	var origAnimation = "Yes";
	var origThrows = 3;
	var origScoreToWin = 10;
	var origPlaySpeed = 0.9;
	var origAccelerometer = "Off";


function applyCorrectStyles() {
  var size = screen.height;
  var link = document.createElement("link");
  link.rel = "stylesheet";
  link.type = "text/css";  
  if (size >= 640){
    link.href = "lslcubilete.css";
  } else if (size >= 320) {
	    link.href = "lslcubilete_small.css";    
  } else {
    link.href = "lslcubilete_extrasmall.css";
	gAnimation = "No";
  };
  var head = document.getElementsByTagName("head")[0];
  head.appendChild(link); 
  
  var link2 = document.createElement("link");
  link2.rel = "stylesheet";
  link2.type = "text/css";
  if (size >= 640){
    link2.href = "LSL.css";
  } else if (size >= 320) {
	    link2.href = "LSL_small.css";    
  } else {
    link2.href = "LSL_extrasmall.css";
  };   
  var head2 = document.getElementsByTagName("head")[0];
  head.appendChild(link2);  
}

function lslom () {
	document.getElementById('LSLpage1').className = 'LSLhidden';
	document.getElementById('LSLpage2').className = 'LSLvisible';
}

function lslom2 () {
	document.getElementById('LSLpage2').className = 'LSLhidden';
	document.getElementById('LSLpage1').className = 'LSLvisible';
}

function setcookie(value, name){
	var cookieText = name + "=" + value;
	widget.setPreferenceForKey(cookieText, name);
}

function getcookie (name){
	var valorcookie = '';
	try {
		valorcookie = widget.preferenceForKey(name);
		var cookieName = name + "=", 
			cookieStart = valorcookie.indexOf(cookieName), 
			cookieValue = null, 
			result = {};
		if (cookieStart > -1 ){
			var cookieEnd = valorcookie.indexOf(";", cookieStart);
			if (cookieEnd == -1){
				cookieEnd = valorcookie.length;
			};
			cookieValue = valorcookie.substring(cookieStart + cookieName.length, cookieEnd);
			if (cookieValue.length > 0){
				var subCookies = cookieValue.split("&");
				for (var i=0, len = subCookies.length; i < len; i++){
					var parts = subCookies[i].split("=");
					result[parts[0]] = 
						parts[1];
				};
				return result;
			};
		};
	} catch (err) {
		result = '';
		return result;
	};
	return null;
}

function DataRepository(){
	var dbexist = getcookie ('version');
	if (dbexist != '') {
		var ps = getcookie('players');
		var ops = getcookie('options');
		var bs = getcookie('boards');
		var stat = getcookie('state');
		
		gHuman = ps.Human;
		gPlayer1 = ps.Player1;
		gPlayer2= ps.Player2;
		gPlayer3= ps.Player3;
		gBoardStyle1= bs.BoardStyle1;
		gBoardStyle2= bs.BoardStyle2;
		gBoardStyle3= bs.BoardStyle3;
		gBoardStyle4= bs.BoardStyle4;		
		gStatus= stat.Status;
		gStatus2= stat.Status2;
		gTirada= parseInt(stat.Tirada);
		gPlayer= parseInt(stat.Player);
		gGanador= parseInt(stat.Ganador);
		gGame_Type= ops.Game_Type;
		gAnimation= ops.Animation;
		gThrows= parseInt(ops.Throws);
		gScoreToWin= parseInt(ops.ScoreToWin);
		gPlaySpeed= parseFloat(ops.PlaySpeed);
		gAccelerometer = ops.Accelerometer;
		
		origGame_Type = gGame_Type;
		origAnimation = gAnimation;
		origThrows = gThrows;
		origScoreToWin = gScoreToWin;
		origPlaySpeed = gPlaySpeed;
		origgAccelerometer = gAccelerometer;
		origHuman = gHuman;
		origPlayer1 = gPlayer1;
		origPlayer2 = gPlayer2;
		origPlayer3 = gPlayer3;
		
	} else {
		var versionval = 'db=1.0.0&date=20100426';
		setcookie(versionval, 'version');
		var playersval = 'Human=Player&Player1=Jean&Player2=Dave&Player3=Joey';
		setcookie(playersval, 'players');
		var optionsval = 'Game_Type=' + gGame_Type + '&Animation=' + gAnimation + '&Throws=' + gThrows + '&ScoreToWin=' + gScoreToWin + '&PlaySpeed=' + gPlaySpeed + '&Accelerometer=' + gAccelerometer;
		setcookie(optionsval, 'options');
		var statusval = 'Status=New Game&Status2=New Game&Tirada=0&Player=0&Ganador=0';
		setcookie(statusval, 'state');
		var player0val = 'HHand0=-1&HHand1=-1&HHand2=-1&HHand3=-1&HHand4=-1&HHandS0=0&HHandS1=0&HHandS2=0&HHandS3=0&HHandS4=0&HumanTotal=0&Score=0&P_status=Not_Started';
		setcookie(player0val, 'player0');
		var player1val = 'P1Hand0=-1&P1Hand1=-1&P1Hand2=-1&P1Hand3=-1&P1Hand4=-1&P1HandS0=0&P1HandS1=0&P1HandS2=0&P1HandS3=0&P1HandS4=0&Player1Total=0&Score1=0&P1_status=Not_Started';
		setcookie(player1val, 'player1');
		var player2val = 'P2Hand0=-1&P2Hand1=-1&P2Hand2=-1&P2Hand3=-1&P2Hand4=-1&P2HandS0=0&P2HandS1=0&P2HandS2=0&P2HandS3=0&P2HandS4=0&Player2Total=0&Score2=0&P2_status=Not_Started';
		setcookie(player2val, 'player2');	
		var player3val = 'P3Hand0=-1&P3Hand1=-1&P3Hand2=-1&P3Hand3=-1&P3Hand4=-1&P3HandS0=0&P3HandS1=0&P3HandS2=0&P3HandS3=0&P3HandS4=0&Player3Total=0&Score3=0&P3_status=Not_Started';
		setcookie(player3val, 'player3');
		var boardsval = 'BoardStyle1=-&BoardStyle2=-&BoardStyle3=-&BoardStyle4=-';
		setcookie(boardsval, 'boards');
		
	};
}

function SaveGameData(){
	var player0val = 'HHand0=' + gHumanHand[0] +'&HHand1=' + gHumanHand[1] + '&HHand2=' + gHumanHand[2] + '&HHand3=' + gHumanHand[3] + '&HHand4=' + gHumanHand[4] + '&HHandS0=' + gHumanHandStatus[0] + '&HHandS1=' + gHumanHandStatus[1] + '&HHandS2=' + gHumanHandStatus[2] + '&HHandS3=' + gHumanHandStatus[3] + '&HHandS4=' + gHumanHandStatus[4] + '&HumanTotal=' + gHumanTotal + '&Score=' + gScore + '&P_status=' + gP_status;
	setcookie(player0val, 'player0');
	var player1val = 'P1Hand0=' + gPlayer1Hand[0] + '&P1Hand1=' + gPlayer1Hand[1] + '&P1Hand2=' + gPlayer1Hand[2] + '&P1Hand3=' + gPlayer1Hand[3] + '&P1Hand4=' + gPlayer1Hand[4] + '&P1HandS0=' + gPlayer1HandStatus[0] + '&P1HandS1=' + gPlayer1HandStatus[1] + '&P1HandS2=' + gPlayer1HandStatus[2] + '&P1HandS3=' + gPlayer1HandStatus[3] + '&P1HandS4=' + gPlayer1HandStatus[4] + '&Player1Total=' + gPlayer1Total + '&Score1=' + gScore1 + '&P1_status=' + gP1_status;
	setcookie(player1val, 'player1');
	var player2val = 'P2Hand0=' + gPlayer2Hand[0] + '&P2Hand1=' + gPlayer2Hand[1] + '&P2Hand2=' + gPlayer2Hand[2] + '&P2Hand3=' + gPlayer2Hand[3] + '&P2Hand4=' + gPlayer2Hand[4] + '&P2HandS0=' + gPlayer2HandStatus[0] + '&P2HandS1=' + gPlayer2HandStatus[1] + '&P2HandS2=' + gPlayer2HandStatus[2] + '&P2HandS3=' + gPlayer2HandStatus[3] + '&P2HandS4=' + gPlayer2HandStatus[4] + '&Player2Total=' + gPlayer2Total + '&Score2=' + gScore2 + '&P2_status=' + gP2_status;
	setcookie(player2val, 'player2');	
	var player3val = 'P3Hand0=' + gPlayer3Hand[0] + '&P3Hand1=' + gPlayer3Hand[1] + '&P3Hand2=' + gPlayer3Hand[2] + '&P3Hand3=' + gPlayer3Hand[3] + '&P3Hand4=' + gPlayer3Hand[4] + '&P3HandS0=' + gPlayer3HandStatus[0] + '&P3HandS1=' + gPlayer3HandStatus[1] + '&P3HandS2=' + gPlayer3HandStatus[2] + '&P3HandS3=' + gPlayer3HandStatus[3] + '&P3HandS4=' + gPlayer3HandStatus[4] + '&Player3Total=' + gPlayer3Total + '&Score3=' + gScore3 + '&P3_status=' + gP3_status;
	setcookie(player3val, 'player3');
	var statusval = 'Status=' + gStatus + '&Status2=' + gStatus2 + '&Tirada=' + gTirada + '&Player=' + gPlayer + '&Ganador=' + gGanador;
	setcookie(statusval, 'state');	
}

function SaveGame(){
	var player0val = 'HHand0=' + gHumanHand[0] +'&HHand1=' + gHumanHand[1] + '&HHand2=' + gHumanHand[2] + '&HHand3=' + gHumanHand[3] + '&HHand4=' + gHumanHand[4] + '&HHandS0=' + gHumanHandStatus[0] + '&HHandS1=' + gHumanHandStatus[1] + '&HHandS2=' + gHumanHandStatus[2] + '&HHandS3=' + gHumanHandStatus[3] + '&HHandS4=' + gHumanHandStatus[4] + '&HumanTotal=' + gHumanTotal + '&Score=' + gScore + '&P_status=' + gP_status;
	setcookie(player0val, 'player0');
	var player1val = 'P1Hand0=' + gPlayer1Hand[0] + '&P1Hand1=' + gPlayer1Hand[1] + '&P1Hand2=' + gPlayer1Hand[2] + '&P1Hand3=' + gPlayer1Hand[3] + '&P1Hand4=' + gPlayer1Hand[4] + '&P1HandS0=' + gPlayer1HandStatus[0] + '&P1HandS1=' + gPlayer1HandStatus[1] + '&P1HandS2=' + gPlayer1HandStatus[2] + '&P1HandS3=' + gPlayer1HandStatus[3] + '&P1HandS4=' + gPlayer1HandStatus[4] + '&Player1Total=' + gPlayer1Total + '&Score1=' + gScore1 + '&P1_status=' + gP1_status;
	setcookie(player1val, 'player1');
	var player2val = 'P2Hand0=' + gPlayer2Hand[0] + '&P2Hand1=' + gPlayer2Hand[1] + '&P2Hand2=' + gPlayer2Hand[2] + '&P2Hand3=' + gPlayer2Hand[3] + '&P2Hand4=' + gPlayer2Hand[4] + '&P2HandS0=' + gPlayer2HandStatus[0] + '&P2HandS1=' + gPlayer2HandStatus[1] + '&P2HandS2=' + gPlayer2HandStatus[2] + '&P2HandS3=' + gPlayer2HandStatus[3] + '&P2HandS4=' + gPlayer2HandStatus[4] + '&Player2Total=' + gPlayer2Total + '&Score2=' + gScore2 + '&P2_status=' + gP2_status;
	setcookie(player2val, 'player2');	
	var player3val = 'P3Hand0=' + gPlayer3Hand[0] + '&P3Hand1=' + gPlayer3Hand[1] + '&P3Hand2=' + gPlayer3Hand[2] + '&P3Hand3=' + gPlayer3Hand[3] + '&P3Hand4=' + gPlayer3Hand[4] + '&P3HandS0=' + gPlayer3HandStatus[0] + '&P3HandS1=' + gPlayer3HandStatus[1] + '&P3HandS2=' + gPlayer3HandStatus[2] + '&P3HandS3=' + gPlayer3HandStatus[3] + '&P3HandS4=' + gPlayer3HandStatus[4] + '&Player3Total=' + gPlayer3Total + '&Score3=' + gScore3 + '&P3_status=' + gP3_status;
	setcookie(player3val, 'player3');
	var statusval = 'Status=' + gStatus + '&Status2=' + gStatus2 + '&Tirada=' + gTirada + '&Player=' + gPlayer + '&Ganador=' + gGanador;
	setcookie(statusval, 'state');
	
	Pre_Game_Controler_real();
}

function saveplayers(){
	document.getElementById('playershome').className = 'home';
	origHuman = gHuman;
	origPlayer1 = gPlayer1;
	origPlayer2 = gPlayer2;
	origPlayer3 = gPlayer3;	

	var playersval = 'Human=' + gHuman + '&Player1=' + gPlayer1 + '&Player2=' + gPlayer2 + '&Player3=' + gPlayer3;
	setcookie(playersval, 'players');
}

function saveoptions(){
	document.getElementById('optionshome').className = 'home';
	origGame_Type = gGame_Type;
	origAnimation = gAnimation;
	origThrows = gThrows;
	origScoreToWin = gScoreToWin;
	origPlaySpeed = gPlaySpeed;
	origAccelerometer = gAccelerometer;	
	
	var optionsval = 'Game_Type=' + gGame_Type + '&Animation=' + gAnimation + '&Throws=' + gThrows + '&ScoreToWin=' + gScoreToWin + '&PlaySpeed=' + gPlaySpeed + '&Accelerometer=' + gAccelerometer;
	setcookie(optionsval, 'options');
}

function swapScene(scene){
	if (scene == 'main'){
		document.getElementById('main').className = 'cubvisible';
		document.getElementById('howto').className = 'cubhidden';
		document.getElementById('players').className = 'cubhidden';
		document.getElementById('options').className = 'cubhidden';
		document.getElementById('cubilete').className = 'cubhidden';
		document.getElementById('cuboptions').className = 'cubhidden';
		document.getElementById('cubplayers').className = 'cubhidden';
		document.getElementById('howtohome').className = 'home';
		document.getElementById('LSLAbout').className = 'cubhidden';
	} else if (scene == 'howto'){
		document.getElementById('main').className = 'cubhidden';
		document.getElementById('howto').className = 'cubvisible';
		document.getElementById('players').className = 'cubhidden';
		document.getElementById('options').className = 'cubhidden';
		document.getElementById('cubilete').className = 'cubhidden';
		document.getElementById('LSLAbout').className = 'cubhidden';
	} else if (scene == 'players'){
		document.getElementById('main').className = 'cubhidden';
		document.getElementById('howto').className = 'cubhidden';
		document.getElementById('players').className = 'cubvisible';
		document.getElementById('options').className = 'cubhidden';
		document.getElementById('cubilete').className = 'cubhidden';
		document.getElementById('LSLAbout').className = 'cubhidden';
		
		var txtHuman = document.getElementById("txtHuman");
		txtHuman.value = gHuman;
		var sel1 = document.getElementById("selPlayer1");
		sel1.value = gPlayer1;
		var styleval1 = "url(Images/" + gPlayer1 + "L.png)"; 
		document.getElementById("btnPlayer1").style.backgroundImage = styleval1;
		var sel2 = document.getElementById("selPlayer2");
		sel2.value = gPlayer2;		
		var styleval2 = "url(Images/" + gPlayer2 + "L.png)"; 
		document.getElementById("btnPlayer2").style.backgroundImage = styleval2;
		var sel3 = document.getElementById("selPlayer3");
		sel3.value = gPlayer3;		
		var styleval3 = "url(Images/" + gPlayer3 + "L.png)"; 
		document.getElementById("btnPlayer3").style.backgroundImage = styleval3;	
		
	} else if (scene == 'options'){
		document.getElementById('main').className = 'cubhidden';
		document.getElementById('howto').className = 'cubhidden';
		document.getElementById('players').className = 'cubhidden';
		document.getElementById('options').className = 'cubvisible';
		document.getElementById('cubilete').className = 'cubhidden';
		document.getElementById('LSLAbout').className = 'cubhidden';
		
		if (gGame_Type == 'Standard'){
			document.getElementById('GameType1').checked = true;
		} else {
			document.getElementById('GameType2').checked = true;
		}
		var selT = document.getElementById("selThrows");
		selT.value = gThrows;
		var selS = document.getElementById("selScoreWin");
		selS.value = gScoreToWin;
		if (gAnimation == 'Yes'){
			document.getElementById('Ani1').checked = true;
		} else {
			document.getElementById('Ani2').checked = true;
		}
		if (gPlaySpeed == 0.9){
			document.getElementById('Speed1').checked = true;
		} else {
			document.getElementById('Speed2').checked = true;
		}		
		
	} else if (scene == 'cubilete'){
		document.getElementById('main').className = 'cubhidden';
		document.getElementById('howto').className = 'cubhidden';
		document.getElementById('players').className = 'cubhidden';
		document.getElementById('options').className = 'cubhidden';
		document.getElementById('cubgame').className = 'cubhidden';
		document.getElementById('cubilete').className = 'cubvisible';
		document.getElementById('LSLAbout').className = 'cubhidden';
	} else if (scene == 'lsl'){
		document.getElementById('main').className = 'cubhidden';
		document.getElementById('howto').className = 'cubhidden';
		document.getElementById('players').className = 'cubhidden';
		document.getElementById('options').className = 'cubhidden';
		document.getElementById('cubilete').className = 'cubhidden';
		document.getElementById('cuboptions').className = 'cubhidden';
		document.getElementById('cubplayers').className = 'cubhidden';
		document.getElementById('LSLAbout').className = 'cubvisible';
		document.getElementById('LSLpage1').className = 'LSLvisible';
		document.getElementById('LSLpage2').className = 'LSLhidden';
	};
}

function NewGameData() {
	gScore = 0;
	gScore1 = 0;
	gScore2 = 0;
	gScore3 = 0;
	gHumanTotal = 0;
	gP_status = "Not_Started";
	gPlayer1Total = 0;	
	gP1_status = "Not_Started";
	gPlayer2Total = 0;	
	gP2_status = "Not_Started";
	glayer3Total = 0;	
	gP3_status = "Not_Started";		
	for (var counter = 0; counter < 5; counter++) {
		gHumanHand[counter] = -1;
		gHumanHandStatus[counter] = 0;
		gPlayer1Hand[counter] = -1;
		gPlayer1HandStatus[counter] = 0;
		gPlayer2Hand[counter] = -1;
		gPlayer2HandStatus[counter] = 0;
		gPlayer3Hand[counter] = -1;
		gPlayer3HandStatus[counter] = 0;	
	}
	gStatus  = "New Game";
	gStatus2 = "New Game";
	gTirada= 0;
	gPlayer = 0;
	gGanador = 0;
	SaveGameData();
}

function NewGameMain1(){
	saveplayers();
	NewGameData();
	swapScene("main");
}

function NewGameMain2(){
	saveoptions();
	NewGameData();
	swapScene("main");
}

function SaveOptionsBack(){
	saveoptions();
	swapScene("main");	
}

function runcubilete(){
	LoadGame();
	swapScene("cubilete");
	LoadScene();
}

function runnewcubilete(){
	NewGameData();
	LoadGame();
	swapScene("cubilete");
	LoadScene();
}

function LoadGame(){
	var ps = getcookie('players');
	var ops = getcookie('options');
	var stat = getcookie('state');
	var p0 = getcookie('player0');
	var p1 = getcookie('player1');
	var p2 = getcookie('player2');
	var p3 = getcookie('player3');
	var bs = getcookie('boards');
	
	gHuman = ps.Human;
	gHumanHand[0]= parseInt(p0.HHand0);
	gHumanHand[1]= parseInt(p0.HHand1);
	gHumanHand[2]= parseInt(p0.HHand2);
	gHumanHand[3]= parseInt(p0.HHand3);
	gHumanHand[4]= parseInt(p0.HHand4);
	gHumanHandStatus[0]= parseInt(p0.HHandS0);
	gHumanHandStatus[1]= parseInt(p0.HHandS1);
	gHumanHandStatus[2]= parseInt(p0.HHandS2);
	gHumanHandStatus[3]= parseInt(p0.HHandS3);
	gHumanHandStatus[4]= parseInt(p0.HHandS4);
	gHumanTotal = parseInt(p0.HumanTotal);
	gScore = parseInt(p0.Score);
	gP_status = p0.P_status;
	gPlayer1 = ps.Player1;
	gPlayer1Hand[0]= parseInt(p1.P1Hand0);
	gPlayer1Hand[1]= parseInt(p1.P1Hand1);
	gPlayer1Hand[2]= parseInt(p1.P1Hand2);
	gPlayer1Hand[3]= parseInt(p1.P1Hand3);
	gPlayer1Hand[4]= parseInt(p1.P1Hand4);
	gPlayer1HandStatus[0]= parseInt(p1.P1HandS0);
	gPlayer1HandStatus[1]= parseInt(p1.P1HandS1);
	gPlayer1HandStatus[2]= parseInt(p1.P1HandS2);
	gPlayer1HandStatus[3]= parseInt(p1.P1HandS3);
	gPlayer1HandStatus[4]= parseInt(p1.P1HandS4);
	gPlayer1Total= parseInt(p1.Player1Total);
	gScore1= parseInt(p1.Score1);
	gP1_status= p1.P1_status;
	gPlayer2= ps.Player2;
	gPlayer2Hand[0]= parseInt(p2.P2Hand0);
	gPlayer2Hand[1]= parseInt(p2.P2Hand1);
	gPlayer2Hand[2]= parseInt(p2.P2Hand2);
	gPlayer2Hand[3]= parseInt(p2.P2Hand3);
	gPlayer2Hand[4]= parseInt(p2.P2Hand4);
	gPlayer2HandStatus[0]= parseInt(p2.P2HandS0);
	gPlayer2HandStatus[1]= parseInt(p2.P2HandS1);
	gPlayer2HandStatus[2]= parseInt(p2.P2HandS2);
	gPlayer2HandStatus[3]= parseInt(p2.P2HandS3);
	gPlayer2HandStatus[4]= parseInt(p2.P2HandS4);
	gPlayer2Total= parseInt(p2.Player2Total);
	gScore2= parseInt(p2.Score2);
	gP2_status= p2.P2_status;
	gPlayer3= ps.Player3;
	gPlayer3Hand[0]= parseInt(p3.P3Hand0);
	gPlayer3Hand[1]= parseInt(p3.P3Hand1);
	gPlayer3Hand[2]= parseInt(p3.P3Hand2);
	gPlayer3Hand[3]= parseInt(p3.P3Hand3);
	gPlayer3Hand[4]= parseInt(p3.P3Hand4);
	gPlayer3HandStatus[0]= parseInt(p3.P3HandS0);
	gPlayer3HandStatus[1]= parseInt(p3.P3HandS1);
	gPlayer3HandStatus[2]= parseInt(p3.P3HandS2);
	gPlayer3HandStatus[3]= parseInt(p3.P3HandS3);
	gPlayer3HandStatus[4]= parseInt(p3.P3HandS4);
	gPlayer3Total= parseInt(p3.Player3Total);
	gScore3= parseInt(p3.Score3);
	gP3_status= p3.P3_status;
	gBoardStyle1= bs.BoardStyle1;
	gBoardStyle2= bs.BoardStyle2;
	gBoardStyle3= bs.BoardStyle3;
	gBoardStyle4= bs.BoardStyle4;		
	gStatus= stat.Status;
	gStatus2= stat.Status2;
	gTirada= parseInt(stat.Tirada);
	gPlayer= parseInt(stat.Player);
	gGanador= parseInt(stat.Ganador);
	gGame_Type= ops.Game_Type;
	gAnimation= ops.Animation;
	gThrows= parseInt(ops.Throws);
	gScoreToWin= parseInt(ops.ScoreToWin);
	gPlaySpeed= parseFloat(ops.PlaySpeed);
	gAccelerometer = ops.Accelerometer;
	
	origGame_Type = gGame_Type;
	origAnimation = gAnimation;
	origThrows = gThrows;
	origScoreToWin = gScoreToWin;
	origPlaySpeed = gPlaySpeed;
	origgAccelerometer = gAccelerometer;
	origHuman = gHuman;
	origPlayer1 = gPlayer1;
	origPlayer2 = gPlayer2;
	origPlayer3 = gPlayer3;
}

function ClearDadosOnBoard() {
	document.getElementById('C0').className = 'Blank';
	document.getElementById('C1').className = 'Blank';
	document.getElementById('C2').className = 'Blank';
	document.getElementById('C3').className = 'Blank';
	document.getElementById('C4').className = 'Blank';
	document.getElementById('C5').className = 'Blank';
}

function LoadScene() {
	var counter = 0;
	ClearDadosOnBoard();
	document.getElementById('centro').className = 'centromain';
	document.getElementById('HumanPlayer').className = 'cublabel3';
	document.getElementById('HumanButtons').className = 'cublabel4 cubhidden';
	for (counter = 0; counter < 5; counter++){
		document.getElementById('P0' + counter).className = 'Blank';
		document.getElementById('P1' + counter).className = 'Blank';
		document.getElementById('P2' + counter).className = 'Blank';
		document.getElementById('P3' + counter).className = 'Blank';
	};

	var P0 = document.getElementById('P0');
	P0.innerHTML = gHuman;
	var P1 = document.getElementById('P1');
	P1.innerHTML = gPlayer1;	
	var P2 = document.getElementById('P2');
	P2.innerHTML = gPlayer2;
	var P3 = document.getElementById('P3');
	P3.innerHTML = gPlayer3;
	for (counter = 0; counter < 5; counter++) {
		if (gHumanHandStatus[counter] == 2) {
			DisplayDados("P0" + counter,gHumanHand[counter]);
		};
		if (gPlayer1HandStatus[counter] == 2) {
			DisplayDados("P1" + counter,gPlayer1Hand[counter]);
		};
		if (gPlayer2HandStatus[counter] == 2) {
			DisplayDados("P2" + counter,gPlayer2Hand[counter]);
		};
		if (gPlayer3HandStatus[counter] == 2) {
			DisplayDados("P3" + counter,gPlayer3Hand[counter]);
		};
	};
	if (gGame_Type == "Standard") {
		var P0score = document.getElementById('P0score');
		if (gScore == 1) {
			P0score.innerHTML = gScore + " pt";		
		} else {
			P0score.innerHTML = gScore + " pts";	
		};
		var P1score = document.getElementById('P1score');
		if (gScore1 == 1) {
			P1score.innerHTML = gScore1 + " pt";		
		} else {
			P1score.innerHTML = gScore1 + " pts";	
		};		
		var P2score = document.getElementById('P2score');
		if (gScore2 == 1) {
			P2score.innerHTML = gScore2 + " pt";		
		} else {
			P2score.innerHTML = gScore2 + " pts";	
		};
		var P3score = document.getElementById('P3score');
		if (gScore3 == 1) {
			P3score.innerHTML = gScore3 + " pt";		
		} else {
			P3score.innerHTML = gScore3 + " pts";	
		};			
	} else {
		var P0score = document.getElementById('P0score');
		P0score.innerHTML = "";
		var P1score = document.getElementById('P1score');
		P1score.innerHTML = "";			
		var P2score = document.getElementById('P2score');
		P2score.innerHTML = "";	
		var P3score = document.getElementById('P3score');
		P3score.innerHTML = "";			
	};
	if (gStatus == "New Game") {
		Pre_Game_Controler();
	} else if (gStatus == 'Players Turn') {
		if (gPlayer == 0){
			Update_Status('cubBlank',gHuman);	
		} else if (gPlayer == 1){
			Update_Status('cubBlank',gPlayer1);
		} else if (gPlayer == 2){
			Update_Status('cubBlank',gPlayer2);
		} else if (gPlayer == 3){
			Update_Status('cubBlank',gPlayer3);
		};
		Pre_Game_Controler();
	} else if (gStatus.substr(0,6) == "Player"){
		if (gTirada >= gThrows && gPlayer == 0){
			document.getElementById('HumanPlayer').className = 'cublabel3';
			document.getElementById('HumanButtons').className = 'cublabel4 cubhidden';			
			Pre_Game_Controler_real();
		} else if (gTirada >= gThrows && gStatus2 == 'Eval2') {
			Pre_Game_Controler_real();
		} else {
			gStatus2 = "Start";
			Cubilete();
		};
	} else {
		Game_Controler();
	};
}


function PlayGame() {
	document.getElementById('btnNewGame').className = 'cubbtnPlay';
	if (gStatus == "Game Over") {
		runnewcubilete();
	} else if (gStatus != "New Game") {
		document.getElementById('cubgame').className = 'cubvisible';
	} else {
		runcubilete();	
	};
}
function PlayGame2() {
	document.getElementById('btnNewGame').className = 'cubbtnPlay2';
}
function PlayGame3() {
	document.getElementById('btnNewGame').className = 'cubbtnPlay';
}


function GameRules() {
	document.getElementById('btnRules').className = 'cubbtnHowTo';
	swapScene("howto");
}
function GameRules2() {
	document.getElementById('btnRules').className = 'cubbtnHowTo2';
}
function GameRules3() {
	document.getElementById('btnRules').className = 'cubbtnHowTo';
}
function HomeRules2() {
	document.getElementById('howtohome').className = 'home2';
}
function HomeRules3() {
	document.getElementById('howtohome').className = 'home';
}


function GameOptions() {
	document.getElementById('btnOptions').className = 'cubbtnOptions';
	swapScene("options");
};
function GameOptions2() {
	document.getElementById('btnOptions').className = 'cubbtnOptions2';
};
function GameOptions3() {
	document.getElementById('btnOptions').className = 'cubbtnOptions';
};
function HomeOptions2() {
	document.getElementById('optionshome').className = 'home2';
};
function HomeOptions3() {
	document.getElementById('optionshome').className = 'home';
};

function GamePlayers() {
	document.getElementById('btnPlayers').className = 'cubbtnPlayers';
	swapScene("players");	
};
function GamePlayers2() {
	document.getElementById('btnPlayers').className = 'cubbtnPlayers2';	
};
function GamePlayers3() {
	document.getElementById('btnPlayers').className = 'cubbtnPlayers';	
};
function HomePlayers2() {
	document.getElementById('playershome').className = 'home2';	
};
function HomePlayers3() {
	document.getElementById('playershome').className = 'home';	
};


function changemodelPlayer1() {
	var sel1 = document.getElementById("selPlayer1");
	gPlayer1 = sel1.value;
	var styleval1 = "url(Images/" + gPlayer1 + "L.png)";
	document.getElementById("btnPlayer1").style.backgroundImage = styleval1;
}

function changemodelPlayer2() {
	var sel2 = document.getElementById("selPlayer2");
	gPlayer2 = sel2.value;
	var styleval2 = "url(Images/" + gPlayer2 + "L.png)";
	document.getElementById("btnPlayer2").style.backgroundImage=styleval2;	
}

function changemodelPlayer3() {
	var sel3 = document.getElementById("selPlayer3");
	gPlayer3 = sel3.value;
	var styleval3 = "url(Images/" + gPlayer3 + "L.png)"; 
	document.getElementById("btnPlayer3").style.backgroundImage=styleval3;	
}

function ExitPlayers(){
	var txtHuman = document.getElementById("txtHuman");
	gHuman = txtHuman.value;		
	if (gStatus != 'New Game' && gStatus != 'Game Over'){ 
		if (gHuman != origHuman ||  origPlayer1 != gPlayer1 || origPlayer2 != gPlayer2 || origPlayer3 != gPlayer3){
			document.getElementById('cubplayers').className = 'cubvisible';				
		} else {
			swapScene("main");
		}
	} else {
		if (gHuman != origHuman ||  origPlayer1 != gPlayer1 || origPlayer2 != gPlayer2 || origPlayer3 != gPlayer3){
			ReplacePlayers();			
		} else {
			swapScene("main");
		}
	};	
}

function ReplacePlayers(){
	saveplayers();
	swapScene("main");
}

function ExitOptions() {
	if (document.getElementById('GameType1').checked == true){
		gGame_Type = 'Standard';
	} else {
		gGame_Type = 'Poker';
	};
	if (document.getElementById('Ani1').checked == true) {
		gAnimation = "Yes";
	} else {
		gAnimation = "No";
	};
	var throwsval = document.getElementById("selThrows");
	gThrows = throwsval.value;	
	var winval = document.getElementById("selScoreWin");
	gScoreToWin = winval.value;	
	if (document.getElementById('Speed1').checked == true){
		gPlaySpeed = 0.9;
	} else {
		gPlaySpeed = 0.35; 
	};	
	if (origGame_Type != gGame_Type || origThrows != gThrows || origScoreToWin != gScoreToWin){
		if (gStatus != 'New Game' && gStatus != 'Game Over'){
			document.getElementById('cuboptions').className = 'cubvisible';		
		} else {
			SaveOptionsBack();
		};
  	} else if (origAnimation != gAnimation || origPlaySpeed != gPlaySpeed || origAccelerometer != gAccelerometer){
  		SaveOptionsBack();
	} else {
		swapScene("main");
	};
}

function CancelOptions(){
	gGame_Type = origGame_Type;
	gAnimation = origAnimation;
	gThrows = origThrows;
	gScoreToWin = origScoreToWin;
	gPlaySpeed = origPlaySpeed;	
	gAccelerometer = origAccelerometer;

	swapScene("main");
}